openSUSE セキュリティ更新プログラム:freerdp(openSUSE-2016-1132)

high Nessus プラグイン ID 93758

言語:

概要

リモートのopenSUSEホストに、セキュリティ更新プログラムがありません。

説明

このfreerdpの更新では、次の問題を修正します:

修正されたセキュリティ問題:

- CVE-2013-4118: サーバークラッシュを修正するためにNULLポインターチェックを追加する(boo#829013)。

- CVE-2014-0791: いくつかの malloc() を実行する前にストリームの残りの長さがチェックされるため、クラッシュが発生する可能性があります。(boo#857491)。

ソリューション

影響を受ける freerdp パッケージを更新してください。

関連情報

https://bugzilla.opensuse.org/show_bug.cgi?id=829013

https://bugzilla.opensuse.org/show_bug.cgi?id=857491

プラグインの詳細

深刻度: High

ID: 93758

ファイル名: openSUSE-2016-1132.nasl

バージョン: 2.4

タイプ: local

エージェント: unix

公開日: 2016/9/28

更新日: 2021/1/19

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: High

Base Score: 7.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

脆弱性情報

CPE: p-cpe:/a:novell:opensuse:freerdp, p-cpe:/a:novell:opensuse:freerdp-debuginfo, p-cpe:/a:novell:opensuse:freerdp-debugsource, p-cpe:/a:novell:opensuse:freerdp-devel, p-cpe:/a:novell:opensuse:libfreerdp-1_0, p-cpe:/a:novell:opensuse:libfreerdp-1_0-debuginfo, p-cpe:/a:novell:opensuse:libfreerdp-1_0-plugins, p-cpe:/a:novell:opensuse:libfreerdp-1_0-plugins-debuginfo, cpe:/o:novell:opensuse:13.2

必要な KB アイテム: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

パッチ公開日: 2016/9/27

参照情報

CVE: CVE-2013-4118, CVE-2014-0791